Bug 112835 - When configuring cups with printconf a incorrect configuration is generated.
When configuring cups with printconf a incorrect configuration is generated.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-03 10:15 EST by Nicolai Langfeldt
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-13 08:52:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolai Langfeldt 2004-01-03 10:15:20 EST
Description of problem:

When creating a queue and then sharing it, restricting it to specific
IP addresses the generatet config contains "Listen 10.0.0.2:631"
instead of Allow from 10.0.0.2. The host in question's ip-address is
10.0.0.4.

Version-Release number of selected component (if applicable):

redhat-config-printer-gui-0.6.79.2-1
redhat-config-printer-0.6.79.2-1

How reproducible:


Steps to Reproduce:
1. be root
2. printconf
3. select a queue
4. select menu: action -> sharing...
5. In dialog tab Queue click for "This queue is available to other
computers"
6. Remove the "All hosts" line from the Allowed hosts
7. Add/Single IP address/10.0.0.2 (the address should not be one of
the addresses of your computer) and click ok.
8. click ok in the "Sharing properties" dialog
9. click apply in the printer configuration main window

This is highly bogus and when I add 
  
Actual results:

Inspect the cupsd.conf file genrated and at the very end find "Listen
10.0.0.2:631".

When cups is then _restarted_ instead of just reconfigured it bails
out with this in the messages file:

Jan  3 16:16:10 roke cupsd: cupsd: Child exited with status 99!

Expected results:

Only the Allow from lines generated earlier in the file.  And perhaps
a "Port" command for listening to the network in general, or some
Listen commands for each local address of the computer.

Additional info:
Comment 1 Tim Waugh 2004-01-05 12:00:54 EST
Please try these experimental packages:

ftp://people.redhat.com/twaugh/tmp/redhat-config-printer-0.6.79.3-1.i386.rpm
ftp://people.redhat.com/twaugh/tmp/redhat-config-printer-gui-0.6.79.3-1.i386.rpm

Let me know if that helps or not.
Comment 2 Tim Waugh 2004-01-12 06:24:07 EST
*ping*
Comment 3 Tim Waugh 2004-01-19 10:50:44 EST
*ping*

Please respond so that I know if this fixes the problem you were seeing.
Comment 4 Nicolai Langfeldt 2004-02-02 17:58:45 EST
Sorry.  I was busy writing a book to a deadline.  Yes.  It's much
better like this, the Listen statements stick to the hosts own
addresses and adding new addresses only adds Allow from statements:

<Location /printers/otak>
Order Deny,Allow
Deny From All
Allow From 127.0.0.1
AuthType None
Allow from 10.0.0.2
Allow from 10.0.0.5
Allow from 10.0.0.129
</Location>

To me this appears to be resolved.

Thanks,
  Nicolai

Note You need to log in before you can comment on or make changes to this bug.